Bug 474983 - Review Request: TVAnytimeAPI - A java API for parsing, manipulating and creating TV-Anytime metadata
Review Request: TVAnytimeAPI - A java API for parsing, manipulating and creat...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: tvbrowser
  Show dependency treegraph
 
Reported: 2008-12-06 06:16 EST by Sandro Mathys
Modified: 2009-01-26 20:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 10:25:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2008-12-06 06:16:09 EST
Spec URL: http://red.fedorapeople.org/SRPMS/TVAnytimeAPI.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/TVAnytimeAPI-1.3-0.1.fc10.src.rpm
Description: A java API for parsing, manipulating and creating TV-Anytime metadata.
TV-Anytime is an open standard for metadata describing TV and radio
programmes that is designed to support Personal Video Recoders (PVRs),
programme guides and related technologies.

This  is a dependency needed for tvbrowser, for which a review request exists already.

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or
errors.

I'd still need a sponsor.
Comment 1 Sandro Mathys 2008-12-11 20:02:28 EST
Successfully created a mock-(re)build of this version of this pkg.
Comment 2 Mamoru TASAKA 2008-12-15 10:05:19 EST
(Removing NEEDSPONSOR)
Comment 3 Sandro Mathys 2008-12-15 23:29:04 EST
Spec URL: http://red.fedorapeople.org/SRPMS/TVAnytimeAPI.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/TVAnytimeAPI-1.3-1.fc10.src.rpm

New version including much of the experience I got when my jcalendar pkg was
reviewed.
Comment 5 Mamoru TASAKA 2008-12-19 13:47:32 EST
Well, 

Many files under xml/ directory has the statement:
---------------------------------------------------------------
Use of this BBC data for non-TV-Anytime purposes is strictly forbidden
---------------------------------------------------------------

I guess this statement renders this software non-free.
spot, how do you think?
Comment 6 Tom "spot" Callaway 2008-12-19 13:55:04 EST
At the very least, the xml data is non-free and not permissable in Fedora.
Comment 7 Sandro Mathys 2009-01-09 17:34:08 EST
Spec URL: http://red.fedorapeople.org/SRPMS/TVAnytimeAPI.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/TVAnytimeAPI-1.3-2.fc11.src.rpm

- Removed the xml/ subdir for legal problems.
- Also removed lib/* and docs/ because I was already modifying the source archive anyway.
- Added examples/ to the docs
Comment 8 Mamoru TASAKA 2009-01-11 09:15:32 EST
Removing FE-Legal. Thank you, spot.
Comment 9 Mamoru TASAKA 2009-01-11 10:04:00 EST
For 1.3-2:

* License
  - The License tag should be "LGPLv2+".

* javadoc directory
  - Would you explain why you don't simply use
    %{_javadocdir}/%{name} as javadoc installation
    directory and instead want to use %_javadocdir/%name-%version
    and create symlink?

    ! Note
      On rpm packaging please take much care of creating symlink
      pointing to directory, because with rpm restriction (or cpio?)
      once this is done it gets very difficult to change this
      symlink to actual directory or so.
Comment 10 Sandro Mathys 2009-01-11 17:50:03 EST
Spec URL: http://red.fedorapeople.org/SRPMS/TVAnytimeAPI.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/TVAnytimeAPI-1.3-2.fc11.src.rpm


* License corrected.

* Because I was told I should in another review: https://bugzilla.redhat.com/show_bug.cgi?id=475019#c6
...honestly, I've also just checked my /usr/share/javadoc/* and while there's not much in there, everything is using %name-%version with a symlink to it :)
Comment 11 Mamoru TASAKA 2009-01-14 10:40:17 EST
Well, where is your new srpm? (please change the release number
every time you modify your spec file)
Comment 13 Mamoru TASAKA 2009-01-15 11:54:39 EST
(In reply to comment #10)
> * Because I was told I should in another review:
> https://bugzilla.redhat.com/show_bug.cgi?id=475019#c6
> ...honestly, I've also just checked my /usr/share/javadoc/* and while there's
> not much in there, everything is using %name-%version with a symlink to it :)

I checked this by using repoquery, i.e. _all_ packages installing
javadoc files under /usr/share/javadoc/. 

It seems packages reviewed in earlier days seem to be creating such symlinks.
Actually this is the first package creating javadoc subpackage trying
to create such symlink I reviewed. However this is not a blocker.

-------------------------------------------------------
   This package (TVAnytimeAPI) is APPROVED by mtasaka
-------------------------------------------------------
Comment 14 Sandro Mathys 2009-01-15 17:25:28 EST
New Package CVS Request
=======================
Package Name: TVAnytimeAPI
Short Description: A Java API for parsing, manipulating and creating TV-Anytime metadata
Owners: red
Branches: F-9 F-10
InitialCC:
Comment 15 Kevin Fenzi 2009-01-16 22:31:27 EST
cvs done.
Comment 16 Mamoru TASAKA 2009-01-25 02:54:29 EST
Please rebuild this package on koji and for F-10/9
submit requests to push the rebuilt packages into repositories.
Comment 17 Mamoru TASAKA 2009-01-26 10:25:29 EST
Now closing, thank you.
Comment 18 Fedora Update System 2009-01-26 20:46:56 EST
TVAnytimeAPI-1.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-01-26 20:49:25 EST
TVAnytimeAPI-1.3-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.